/*
|    file name - VNX.h
|===================================================================
|
|		Copyright (C) 1986, V. I. Corporation
|
|    VNX.h - miscellaneous typedefs used by VNX routines.
|
|    Alan C Morse	24 Feb 87
|
|===================================================================
|
|    module description/function:
|	Types used in calling VNX routines.
|
|===================================================================
*/
#ifndef VNX_H
#define VNX_H
/*
|  Describe the useable objects of the layout templates 
*/
typedef struct TEMPLATE_OBJECT_DESCRIPTOR
  {
  char *ObjectName; /* Name of object of interest in the template */
  OBJECT *DestinationObject; /* Pointer to object that is to
    | get the object named by ObjectName */
  DV_BOOL IsDrawn; /* Is the object to be drawn? This causes it to
    | be added to a list of drawable objects */
  DV_BOOL IsCloned; /* Is the object to be cloned for modification? 
    | This causes it to be added to a list of cloned objects.
    | If the object is also drawable, its clone is added to the 
    | drawable list.*/
  } TEMPLATE_OBJECT_DESCRIPTOR;

/*
|  VUerRectEdgePost/VUerObjectEdgePost (OBJ_EDGE/RECT_EDGE) flag 
|  when setting up events for the input objects.  RECT_EDGE is the
|  default.  OBJ_EDGE allows precise boundary checking of pickable
|  objects but increases the detection time.
*/
#define OBJ_EDGE YES
#define RECT_EDGE NO

#endif /*VNX_H*/
